Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class LabelVerifier

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.control.LabelVerifier

    public class LabelVerifier
    extends ClassCodeVisitorSupport

This class checks the handling of labels in the AST

Authors:
  Jochen Theodorou

Constructor Summary
`LabelVerifier(SourceUnit src)`

Method Summary
`protected void` | `assertNoLabelsMissed()`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitBreakStatement(BreakStatement statement)`
`protected void` | `visitClassCodeContainer(Statement code)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitStatement(Statement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitWhileLoop(WhileStatement loop)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### LabelVerifier

    public LabelVerifier(SourceUnit src)

Method Detail

### assertNoLabelsMissed

    protected void assertNoLabelsMissed()

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

### visitClassCodeContainer

    protected void visitClassCodeContainer(Statement code)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitStatement

    public void visitStatement(Statement statement)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)

Groovy Documentation